Package org.gdal.gdalconst

## Class gdalconst

- java.lang.Object
- - org.gdal.gdalconst.gdalconst

- All Implemented Interfaces:
    `gdalconstConstants`

      public class gdalconst
      extends java.lang.Object
      implements gdalconstConstants

- - ### Field Summary

    - ### Fields inherited from interface org.gdal.gdalconst.gdalconstConstants

      `CE_Debug, CE_Failure, CE_Fatal, CE_None, CE_Warning, CPLE_AppDefined, CPLE_AssertionFailed, CPLE_FileIO, CPLE_IllegalArg, CPLE_None, CPLE_NotSupported, CPLE_NoWriteAccess, CPLE_OpenFailed, CPLE_OutOfMemory, CPLE_UserInterrupt, CPLES_BackslashQuotable, CPLES_CSV, CPLES_SQL, CPLES_URL, CPLES_XML, CXT_Attribute, CXT_Comment, CXT_Element, CXT_Literal, CXT_Text, DCAP_DEFAULT_FIELDS, DCAP_NOTNULL_FIELDS, DCAP_NOTNULL_GEOMFIELDS, DCAP_RASTER, DCAP_VECTOR, DMD_CONNECTION_PREFIX, GA_ReadOnly, GA_Update, GARIO_COMPLETE, GARIO_ERROR, GARIO_PENDING, GARIO_UPDATE, GCI_AlphaBand, GCI_BlackBand, GCI_BlueBand, GCI_CyanBand, GCI_GrayIndex, GCI_GreenBand, GCI_HueBand, GCI_LightnessBand, GCI_MagentaBand, GCI_PaletteIndex, GCI_RedBand, GCI_SaturationBand, GCI_Undefined, GCI_YCbCr_CbBand, GCI_YCbCr_CrBand, GCI_YCbCr_YBand, GCI_YellowBand, GDAL_DATA_COVERAGE_STATUS_DATA, GDAL_DATA_COVERAGE_STATUS_EMPTY, GDAL_DATA_COVERAGE_STATUS_UNIMPLEMENTED, GDAL_DCAP_CREATE, GDAL_DCAP_CREATECOPY, GDAL_DCAP_OPEN, GDAL_DCAP_VIRTUALIO, GDAL_DMD_CREATIONDATATYPES, GDAL_DMD_CREATIONFIELDDATATYPES, GDAL_DMD_CREATIONOPTIONLIST, GDAL_DMD_EXTENSION, GDAL_DMD_EXTENSIONS, GDAL_DMD_HELPTOPIC, GDAL_DMD_LONGNAME, GDAL_DMD_MIMETYPE, GDAL_DMD_SUBDATASETS, GDT_Byte, GDT_CFloat32, GDT_CFloat64, GDT_CInt16, GDT_CInt32, GDT_Float32, GDT_Float64, GDT_Int16, GDT_Int32, GDT_TypeCount, GDT_UInt16, GDT_UInt32, GDT_Unknown, GFT_Integer, GFT_Real, GFT_String, GFU_Alpha, GFU_AlphaMax, GFU_AlphaMin, GFU_Blue, GFU_BlueMax, GFU_BlueMin, GFU_Generic, GFU_Green, GFU_GreenMax, GFU_GreenMin, GFU_Max, GFU_MaxCount, GFU_Min, GFU_MinMax, GFU_Name, GFU_PixelCount, GFU_Red, GFU_RedMax, GFU_RedMin, GMF_ALL_VALID, GMF_ALPHA, GMF_NODATA, GMF_PER_DATASET, GPI_CMYK, GPI_Gray, GPI_HLS, GPI_RGB, GRA_Average, GRA_Bilinear, GRA_Cubic, GRA_CubicSpline, GRA_Lanczos, GRA_Max, GRA_Med, GRA_Min, GRA_Mode, GRA_NearestNeighbour, GRA_Q1, GRA_Q3, GRIORA_Average, GRIORA_Bilinear, GRIORA_Cubic, GRIORA_CubicSpline, GRIORA_Gauss, GRIORA_Lanczos, GRIORA_Mode, GRIORA_NearestNeighbour, GTO_BIT, GTO_BSQ, GTO_TIP, OF_ALL, OF_GNM, OF_RASTER, OF_READONLY, OF_SHARED, OF_UPDATE, OF_VECTOR, OF_VERBOSE_ERROR`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`